Starmade | GameConfig.xml on new install is broken
Closed, FinishedPublic


Game hangs at connecting

reported by Zackeytnt


Testing Results
Affected Gamemode(s)
Single and Multi
Last tested (version)
0.19564 (DEV)
Issue Type
First occurrence (version)
0.19554 (DEV)
Video Card Vendor
Steps to reproduce
  1. make clean install
  2. start the game in singleplayer
  3. see the game hanging at connection
Tester information (Internal use only)

Logfile shows a problem in gameconfig.cfg

[2016-01-30 11:47:02] [Fatal Error] GameConfig.xml:116:31: Elementtyp "SunDamageDelayInSecs" muss mit dem entsprechenden Endtag "</SunDamageDelayInSecs>" beendet werden.

[2016-01-30 11:47:02] org.xml.sax.SAXParseException; systemId: file:/D:/Starmade/Builds/195x/./GameConfig.xml; lineNumber: 116; columnNumber: 31; Elementtyp "SunDamageDelayInSecs" muss mit dem entsprechenden Endtag "</SunDamageDelayInSecs>" beendet werden.
[2016-01-30 11:47:02] 	at Source)
[2016-01-30 11:47:02] 	at Source)
[2016-01-30 11:47:02] 	at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
[2016-01-30 11:47:02] 	at obfuscated.e.a(SourceFile:39)
[2016-01-30 11:47:02] 	at obfuscated.ang.a(SourceFile:70)
[2016-01-30 11:47:02] 	at obfuscated.ape.<init>(SourceFile:304)
[2016-01-30 11:47:02] 	at
[2016-01-30 11:47:02] 	at Source)

using a Gameconfig from an old build starts the game

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
SmilingDemon shifted this object from the S1 Public space to the S3 Starmade space.
SmilingDemon changed the visibility from "Custom Policy" to "Public (No Login Required)".
SmilingDemon changed the edit policy from "Task Author" to "Starmade (Project)".
SmilingDemon changed Category from none/unspecified to Engine.
SmilingDemon set First occurrence (version) to 0.19554 (DEV).
SmilingDemon edited Serverconfig (server.cfg). (Show Details)
SmilingDemon edited Clientconfig (settings.cfg). (Show Details)
SmilingDemon changed Affected Gamemode(s) from none/unspecified to Single and Multi.
SmilingDemon changed Reproducible from uncertain to Yes.
SmilingDemon set Last tested (version) to 0.19554 (DEV).
SmilingDemon edited Steps to reproduce. (Show Details)
SmilingDemon edited Tester information (Internal use only). (Show Details)
SmilingDemon added a subscriber: SmilingDemon.
Restricted Application added a subscriber: AndyP. · View Herald Transcript


SmilingDemon changed the task status from "Open" to "In Queue (Game)".Jan 30 2016, 11:01 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Jan 30 2016, 9:39 PM
schema added a subscriber: schema.
SmilingDemon set Issue Type to Bug.
SmilingDemon set OS-Specific to No.
SmilingDemon set Hardware-Specific to No.
SmilingDemon set Video Card Vendor to uncertain.
SmilingDemon changed Last tested (version) from 0.19554 (DEV) to 0.19564 (DEV).
SmilingDemon closed this task as "Closed".
SmilingDemon added a subscriber: Zackey_TNT.

-QA Testing-

works again for quite some time now

rechecked in 0.19564 (DEV) to make sure

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptFeb 27 2016, 4:31 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript

Add Comment